재무
현재 재무 보기
필요한 권한: finances:read
GET
/
v1
/
finances
현재 재무 보기
curl --request GET \
--url https://api.morrowly.app/v1/finances \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.morrowly.app/v1/finances"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.morrowly.app/v1/finances', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": {
"assets": [
{
"acquiredAt": "<string>",
"acquisitionPrice": 123,
"annualRate": 123,
"dividendYield": 123,
"id": "<string>",
"investmentTax": "DOMESTIC_STOCK",
"monthlyContribution": 123,
"name": "<string>",
"owner": "SELF",
"payoutStartAge": 123,
"payoutYears": 123,
"region": "<string>",
"serviceYears": 123,
"type": "INVESTMENT",
"value": 123
}
],
"birthMonth": "<string>",
"cash": 123,
"cashFlows": [
{
"annualGrowth": 123,
"end": "<string>",
"expenseKind": "RENT",
"expenseRate": 123,
"id": "<string>",
"incomeKind": "NET",
"monthlyAmount": 123,
"name": "<string>",
"owner": "SELF",
"start": "<string>",
"type": "INCOME"
}
],
"dependents": [
{
"birthMonth": "<string>",
"id": "<string>",
"kind": "SPOUSE",
"name": "<string>"
}
],
"liabilities": [
{
"annualRate": 123,
"id": "<string>",
"interestDeduction": true,
"name": "<string>",
"owner": "SELF",
"principal": 123,
"remainingMonths": 123,
"repayment": "ANNUITY"
}
]
},
"error": {
"code": "<string>",
"data": "<unknown>",
"message": "<string>"
},
"result": "SUCCESS"
}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
⌘I
현재 재무 보기
